Package fr.gouv.vitam.common.manifest

# Class ManifestBuilder

java.lang.Object
fr.gouv.vitam.common.manifest.ManifestBuilder

All Implemented Interfaces:
  `AutoCloseable`

public class ManifestBuilder extends Object implements AutoCloseable
build a SEDA manifest with JAXB.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ManifestBuilder(OutputStream outputStream, SupportedSedaVersions supportedSedaVersion)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `void`
  `closeManifest()`
  `void`
  `endDataObjectPackage()`
  `void`
  `endDescriptiveMetadata()`
  `void`
  `startDataObjectPackage()`
  `void`
  `startDescriptiveMetadata()`
  `void`
  `startDocument(String operationId, ExportType exportType, ExportRequestParameters exportRequestParameters)`
  `void`
  `validate(ExportType exportType, ExportRequestParameters exportRequestParameters)`
  `void`
  `writeArchivalAgreement(String archivalAgreement)`
  `void`
  `writeArchiveUnit(ArchiveUnitModel archiveUnitModel, com.google.common.collect.ListMultimap<String,String> multimap, Map<String,String> ogs)`
  `void`
  `writeArchiveUnitWithLFC(ArchiveUnitModel archiveUnitModel, com.google.common.collect.ListMultimap<String,String> multimap, Map<String,String> ogs, LogbookLifeCycleUnit logbookLFC)`
  `void`
  `writeCodeListVersions(int tenant)`
  `void`
  `writeComment(String comment)`
  `void`
  `writeDate(String date)`
  `void`
  `writeFooter(ExportType exportType, ExportRequestParameters parameters)`
  `Map<String,com.fasterxml.jackson.databind.JsonNode>`
  `writeGOT(com.fasterxml.jackson.databind.JsonNode og, String linkedAU, Stream<LogbookLifeCycleObjectGroup> logbookLifeCycleObjectGroupStream, FolderResolver folderResolver, FilenameResolver filenameResolver)`
  `void`
  `writeManagementMetadata(String originatingAgency, String submissionAgencyIdentifier)`
  `void`
  `writeManagementMetadata(String acquisitionInformation, String legalStatus, String originatingAgency, String submissionAgencyIdentifier, String archivalProfile)`
  `void`
  `writeMessageIdentifier(String operationId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ManifestBuilder

    public ManifestBuilder(OutputStream outputStream, SupportedSedaVersions supportedSedaVersion) throws XMLStreamException, jakarta.xml.bind.JAXBException
    Parameters:
      `outputStream` -
      `supportedSedaVersion` -
    Throws:
      `XMLStreamException`
      `jakarta.xml.bind.JAXBException`

- ## Method Details

  - ### startDocument

    public void startDocument(String operationId, ExportType exportType, ExportRequestParameters exportRequestParameters) throws XMLStreamException, jakarta.xml.bind.JAXBException
    Throws:
      `XMLStreamException`
      `jakarta.xml.bind.JAXBException`

  - ### writeGOT

    public Map<String,com.fasterxml.jackson.databind.JsonNode> writeGOT(com.fasterxml.jackson.databind.JsonNode og, String linkedAU, Stream<LogbookLifeCycleObjectGroup> logbookLifeCycleObjectGroupStream, FolderResolver folderResolver, FilenameResolver filenameResolver) throws com.fasterxml.jackson.core.JsonProcessingException, jakarta.xml.bind.JAXBException
    Throws:
      `com.fasterxml.jackson.core.JsonProcessingException`
      `jakarta.xml.bind.JAXBException`

  - ### writeArchiveUnit

    public void writeArchiveUnit(ArchiveUnitModel archiveUnitModel, com.google.common.collect.ListMultimap<String,String> multimap, Map<String,String> ogs) throws jakarta.xml.bind.JAXBException, DatatypeConfigurationException, ExportException
    Throws:
      `jakarta.xml.bind.JAXBException`
      `DatatypeConfigurationException`
      `ExportException`

  - ### writeArchiveUnitWithLFC

    public void writeArchiveUnitWithLFC(ArchiveUnitModel archiveUnitModel, com.google.common.collect.ListMultimap<String,String> multimap, Map<String,String> ogs, @Nullable LogbookLifeCycleUnit logbookLFC) throws DatatypeConfigurationException, jakarta.xml.bind.JAXBException, ExportException
    Throws:
      `DatatypeConfigurationException`
      `jakarta.xml.bind.JAXBException`
      `ExportException`

  - ### close

    public void close() throws XMLStreamException
    Specified by:
      `close` in interface `AutoCloseable`
    Throws:
      `XMLStreamException`

  - ### startDescriptiveMetadata

    public void startDescriptiveMetadata() throws XMLStreamException
    Throws:
      `XMLStreamException`

  - ### startDataObjectPackage

    public void startDataObjectPackage() throws XMLStreamException
    Throws:
      `XMLStreamException`

  - ### endDescriptiveMetadata

    public void endDescriptiveMetadata() throws XMLStreamException
    Throws:
      `XMLStreamException`

  - ### endDataObjectPackage

    public void endDataObjectPackage() throws XMLStreamException
    Throws:
      `XMLStreamException`

  - ### writeComment

    public void writeComment(String comment) throws XMLStreamException
    Throws:
      `XMLStreamException`

  - ### writeDate

    public void writeDate(String date) throws XMLStreamException
    Throws:
      `XMLStreamException`

  - ### writeMessageIdentifier

    public void writeMessageIdentifier(String operationId) throws XMLStreamException
    Throws:
      `XMLStreamException`

  - ### writeArchivalAgreement

    public void writeArchivalAgreement(String archivalAgreement) throws XMLStreamException
    Throws:
      `XMLStreamException`

  - ### writeManagementMetadata

    public void writeManagementMetadata(String acquisitionInformation, String legalStatus, String originatingAgency, String submissionAgencyIdentifier, String archivalProfile) throws jakarta.xml.bind.JAXBException, ExportException
    Throws:
      `jakarta.xml.bind.JAXBException`
      `ExportException`

  - ### writeManagementMetadata

    public void writeManagementMetadata(String originatingAgency, String submissionAgencyIdentifier) throws jakarta.xml.bind.JAXBException, ExportException
    Throws:
      `jakarta.xml.bind.JAXBException`
      `ExportException`

  - ### writeCodeListVersions

    public void writeCodeListVersions(int tenant) throws jakarta.xml.bind.JAXBException
    Throws:
      `jakarta.xml.bind.JAXBException`

  - ### writeFooter

    public void writeFooter(ExportType exportType, ExportRequestParameters parameters) throws jakarta.xml.bind.JAXBException
    Throws:
      `jakarta.xml.bind.JAXBException`

  - ### closeManifest

    public void closeManifest() throws XMLStreamException
    Throws:
      `XMLStreamException`

  - ### validate

    public void validate(ExportType exportType, ExportRequestParameters exportRequestParameters) throws ExportException
    Throws:
      `ExportException`